.org	0x00
rjmp	Start
.org	0x02
rjmp	externalInterrupt
.org	0x14
rjmp	status_Interrupt

Start:

ldi		Lowbyte, 0xff							; Stackpointer initialisieren
out		0x3d, Lowbyte
ldi		Highbyte, 0x03
out		0x3e, Highbyte

rcall	Initialize								; Peripherie initialisieren

sei												; Interrupts global freigeben

ldi		Slave, 0x10								; Slaveadresse festlegen
ldi		Routine, 0x01
ldi		Errorcode, 0x02
rcall	status_Show

Main:

rjmp	Main

externalInterrupt:

in		Value, 0x3b								; externes Interruptregister lesen
cbr		Value, 0x40								; Interrupt sperren
out		0x3b, Value

rcall	twowire_Transmit_Startcondition			; Daten senden

reti
